Tensorflou: Bu platformada qo'llab-quvvatlanadigan g'ildirak emas

Anaconda 2 va 3-ni Windows 64 bit mashinasida o'rnatganman. bu yerda ko'rsatmalariga ko'ra, Tansorflowni anaconda bilan o'rnatishga harakat qilaman. Shunga qaramay, plugin o'rnatish paytida quyidagi xatolarni olaman.

tensorflow-1.0.0-cp35-cp35m-win_x86_64.whl is not a supported wheel on this platform.

Mening anaconda info:

           platform : win-64
      conda version : 4.2.13
   conda is private : False
  conda-env version : 4.2.13
conda-build version : 1.20.0
     python version : 2.7.12.final.0
   requests version : 2.13.0
   root environment : C:\Anaconda2  (writable)
default environment : C:\Anaconda2\envs\tensorflow
   envs directories : C:\Anaconda2\envs
      package cache : C:\Anaconda2\pkgs
       channel URLs : https://repo.continuum.io/pkgs/free/win-64
                      https://repo.continuum.io/pkgs/free/noarch
                      https://repo.continuum.io/pkgs/pro/win-64
                      https://repo.continuum.io/pkgs/pro/noarch
                      https://repo.continuum.io/pkgs/msys2/win-64
                      https://repo.continuum.io/pkgs/msys2/noarch
        config file : None
       offline mode : False

So'nggi 8 soat ichida boshimni buzib tashlaganimdan buyon har qanday yordamni qadrlayman.

Tahrirlash

Anaconda 2 ni olib tashladim va yana tsenzorofni o'rnatishga harakat qildim. Xuddi shu xatoni olish. Iltimos, anaconda ma'lumotini toping.

            platform : win-64
      conda version : 4.2.9
   conda is private : False
  conda-env version : 4.2.9
conda-build version : 2.0.2
     python version : 3.5.2.final.0
   requests version : 2.11.1
   root environment : C:\Users\Gramener\Anaconda3  (writable)
default environment : C:\Users\Gramener\Anaconda3\envs\tensorflow
   envs directories : C:\Users\Gramener\Anaconda3\envs
      package cache : C:\Users\Gramener\Anaconda3\pkgs
       channel URLs : https://repo.continuum.io/pkgs/free/win-64/
                      https://repo.continuum.io/pkgs/free/noarch/
                      https://repo.continuum.io/pkgs/pro/win-64/
                      https://repo.continuum.io/pkgs/pro/noarch/
                      https://repo.continuum.io/pkgs/msys2/win-64/
                      https://repo.continuum.io/pkgs/msys2/noarch/
        config file : None
       offline mode : False
6

7 javoblar

Anaconda muhitini yaratishda aniq python 3.5 dan foydalaning. IE:

yaratish -n tensorflow python = 3.5

Tensorflo'ni o'rnatish uchun quyidagi buyruqni bajaring:

pip install --ignore-installed --upgrade https://storage.googleapis.com/tensorflow/windows/cpu/tensorflow-1.0.1-cp35-cp35m-win_amd64.whl

Then you can successful do the Hello Tensorflow example from https://www.tensorflow.org/install/install_windows

8
qo'shib qo'ydi

Python 3.5 dan foydalaning

conda hosil qilish -n tensorflow python = 3.5

3
qo'shib qo'ydi

Men kamtarlik vm ustida tensorflow v1.0 ni o'rnatishga urinib ko'rganimda shu kabi muammoga duch keldim. Anaconda versiyalarining hech biri men uchun ishlamadi. Foydalanuvchining profili Shuning uchun men mahalliy kompyuterda v1.0 ga tensorfilani yangilashni sinab ko'rishga qaror qildim. Bu men bir xil xatoga yo'l qo'ydi (hatto r0.12ni bir necha hafta oldin muvaffaqiyatli o'rnatgan bo'lsam ham).

Tensorflutni o'rnatishni diqqat bilan o'qib chiqdim, quyidagi jumlani sezdim:

Anaconda o'rnatish, jamiyat tomonidan qo'llab-quvvatlanmoqda, rasmiy emas   qo'llab quvvatlandi.

Shuning uchun python 3.5.2 python.org dan sinab ko'rishga qaror qildim. Bu darhol ishladi.

Menimcha, bu erda muammolar, so'nggi tensorfol versiyasi (1.0) hali anaconda bilan ishlamaydi. Shunga qaramay, anaconda'dan foydalanishni istasangiz, tensorflow r0.12 harakat qilib ko'rishingiz mumkin. > Lekin shuni yodda tutingki, buni bajarish tavsiya etilmaydi va o'zgarishlarni r0.12dan 1.0gacha o'zgartirgan

2
qo'shib qo'ydi
Ha. Endi pip3-dan foydalanib tensorflow v1.0 ni o'rnatdim. Anaconda ishlamadi.
qo'shib qo'ydi muallif Niyas, manba

Ishoning, men tirik qolganman.

Birinchidan, sistemangiz Win7 64Bit va Python versiyasi 3.5.2 (64bit) ekanligini tekshiring, men Python 3.5 ni sinab ko'rmadim.

Second, don't believe Anaconda and PyCharm. Of course I know they can both be used to install packages. However, the packages installed by them can't be synchronized to cmd sometimes.
what I want to say is: Ensure the content of cmd is the same as the website of TensorFlow.
I wanted to upload more pictures to tell you how to do, but stackoverflow didn't allow it.
Details are shown as follows: enter image description here enter image description here

1
qo'shib qo'ydi
Cmd ichida 3-chi tip pip-V natijasi 9.0.1 bo'lishi kerak va python2.7 o'rniga pitonning joylashgan katalogiga 3.5.2 o'rnatilgan bo'lishi kerak.
qo'shib qo'ydi muallif appleyuchi, manba

Microsoft Windows-da TensorFlow Python 3.5 64-bitga kerak. Python 2.7 dan foydalanishga o'xshaysiz.

0
qo'shib qo'ydi
@niyas pip -V nima chiqdi?
qo'shib qo'ydi muallif Franck Dernoncourt, manba
@niyas python - versiya nima chiqdi?
qo'shib qo'ydi muallif Franck Dernoncourt, manba
@niyas Taklif uchun tashakkur, afsuski Anaconda ichida pip install ni ishlatganligingizni o'yladim. Siz hozirda tushkunlikka tushishni istagan conda install buyrug'ini ishlatgansiz. web.archive.org/web/20170226155418/ https: //www.tensorflow.or‌ g/"hellip;": "Biroq, Anaconda ichida TensorFlow-ni o'rnatish uchun buyruqni o'rnatishni tavsiya qilamiz.
qo'shib qo'ydi muallif Franck Dernoncourt, manba
Men savolni tahrirladim. Iltimos, endi tekshiring.
qo'shib qo'ydi muallif Niyas, manba
pip 9.0.1 dan c: \ anaconda3 \ lib \ sayt-paketlardan (python 3.5)
qo'shib qo'ydi muallif Niyas, manba
Python 3.5.2 :: Anaconda 4.2.0 (64 bit)
qo'shib qo'ydi muallif Niyas, manba
pip3 men uchun ishladi. Biroq, anaconda ba'zi bir muammoga o'xshab ko'rinadi.
qo'shib qo'ydi muallif Niyas, manba

Xuddi shu muammoga duch keldim, Anaconda-ni o'chirib tashladim va python.org dan piton 3.5.2 ni o'rnatdim va Salom Tensorflouni ishga tushirdim.

0
qo'shib qo'ydi

Buni ko'ring.

pip install --ignore-installed --upgrade https://storage.googleapis.com/tensorflow/windows/cpu/tensorflow-1.0.1-cp36-cp36m-win_amd64.whl

Bu mahalliy plugin o'rnatish vaqtida ishlaydigan buyruqlar. Ushbu o'zgarish men uchun ishlab chiqilgan

0
qo'shib qo'ydi